summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2012-05-13 15:10:42 +0200
committer dsomero2012-05-13 15:10:42 +0200
commite9a608ba79e0aa1d892241cbcf6fbbccdbbcb4f2 (patch)
treebd319b9527b88f7b35ac19f9323af502b2e8eba5
parentade5ee96ae8ee923a461d347864e35e1bf4f2cbe (diff)
downloadslackbuilds-e9a608ba79e0aa1d892241cbcf6fbbccdbbcb4f2.tar.gz
system/vcp: Added (copy files via a curses interface)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/vcp/README12
-rw-r--r--system/vcp/doinst.sh14
-rw-r--r--system/vcp/slack-desc19
-rw-r--r--system/vcp/vcp.SlackBuild74
-rw-r--r--system/vcp/vcp.info10
5 files changed, 129 insertions, 0 deletions
diff --git a/system/vcp/README b/system/vcp/README
new file mode 100644
index 0000000000..a3839670cc
--- /dev/null
+++ b/system/vcp/README
@@ -0,0 +1,12 @@
+vcp copies files and directories in a curses interface, with text only
+output available. its options and output are similar to BSD's cp while
+adding some new features. It provides information on:
+
+- files copied and left to copy
+
+- data written and total data size
+
+- data being written every second
+
+- two status bars, one showing current file status, the other total status
+(except with 1 file, both show current), and percentage
diff --git a/system/vcp/doinst.sh b/system/vcp/doinst.sh
new file mode 100644
index 0000000000..1e96fb0d36
--- /dev/null
+++ b/system/vcp/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/vcp.conf.new
diff --git a/system/vcp/slack-desc b/system/vcp/slack-desc
new file mode 100644
index 0000000000..66e315d9a2
--- /dev/null
+++ b/system/vcp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vcp: vcp (copy files via a curses interface)
+vcp:
+vcp: vcp copies files and directories in a curses interface, with text
+vcp: only output available. its options and output are similar to BSD's
+vcp: cp while adding some new features. It provides information on:
+vcp:
+vcp: - files copied and left to copy
+vcp: - data written and total data size
+vcp: - data being written every second
+vcp: - two status bars, one showing current file status, the other total
+vcp: status (except with 1 file, both show current), and percentage
diff --git a/system/vcp/vcp.SlackBuild b/system/vcp/vcp.SlackBuild
new file mode 100644
index 0000000000..d699ce5a6f
--- /dev/null
+++ b/system/vcp/vcp.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/bash
+
+# Slackware build script for vcp
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+PRGNAM=vcp
+VERSION=${VERSION:-2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS"
+
+# "make install" is a mess, do it ourselves:
+mkdir -p $PKG/usr/bin $PKG/etc $PKG/usr/man/man1 $PKG/usr/man/pl/man1
+install -s -m0755 $PRGNAM $PKG/usr/bin
+install -m0644 $PRGNAM.conf.sample $PKG/etc/$PRGNAM.conf.new
+gzip -9c < $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+gzip -9c < $PRGNAM.pl.1 > $PKG/usr/man/pl/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README COPYRIGHT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/vcp/vcp.info b/system/vcp/vcp.info
new file mode 100644
index 0000000000..0801273ca6
--- /dev/null
+++ b/system/vcp/vcp.info
@@ -0,0 +1,10 @@
+PRGNAM="vcp"
+VERSION="2.2"
+HOMEPAGE="http://linux.die.net/man/1/vcp"
+DOWNLOAD="http://members.iinet.net.au/~lynx/vcp/vcp-2.2.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="90a47777e6fcf364e2e1fd12e8b67d69"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"